Skip to main content
POST
Invite a teammate by email

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

Organization ID

Example:

"org-abc123"

Body

application/json
email
string
required

Email address of the person to invite

Maximum string length: 254
Example:

"colleague@example.com"

name
string
required

Display name of the invitee. Used to greet them in the email.

Maximum string length: 120
Example:

"Jane Doe"

role
enum<string>
required

Role to assign in the organization

Available options:
Admin,
Member
Example:

"Member"

Response

Invitation created

id
string
required
Example:

"oi-550e8400-e29b-41d4-a716-446655440000"

email
string
required
Example:

"colleague@example.com"

role
enum<string>
required
Available options:
Admin,
Member
status
enum<string>
required
Available options:
pending,
accepted,
revoked,
expired
expiresAt
string<date-time>
required
invitedByUserId
string
required
createdAt
string<date-time>
required
name
string | null
Example:

"Jane Doe"